Bewertet mit 5 von 5 Sternen

Please update to work with Firefox version 4+
:)

Diese Bewertung wurde für eine vorherige Version des Add-ons (0.6.723.1-signed) abgegeben.